Subject: Re: [Speechsc] Query on Channel-identifier header in Draft 12

From: Arsen Chaloyan <[email-masked]>
Date: Mon, 17 Dec 2007 04:46:19 -0800 (PST)

In my understanding,
an unambiguous string
identifying the MRCPv2 session MUST be ALPHA/DIGIT, but not VCHAR
   channel-identifier  =
"Channel-Identifier" ":" channel-id CRLF

channel-id          = 1*ALPHA/DIGIT
"@" 1*VCHAR

probably with some extent to allow extra symbols like 
 
"$"
/ "-"
/ "_"
/ "."
/ "+"

Hope this helps,
Arsen.

----- Original Message ----
From: Rajanish <[email-masked]>
To: [email-masked]
Sent: Thursday, December 13, 2007 1:35:07 PM
Subject: [Speechsc] Query on Channel-identifier header in Draft 12

<!--
 _filtered {font-family:Gautami;panose-1:2 0 5 0 0 0 0 0 0 0;}
/* Style Definitions */
 p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;margin-bottom:.0001pt;font-size:12.0pt;font-family:"Times New Roman";}
a:link, span.MsoHyperlink
	{color:blue;text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{color:purple;text-decoration:underline;}
span.EmailStyle17
	{font-family:Arial;color:windowtext;}
 _filtered {margin:1.0in 1.25in 1.0in 1.25in;}
div.Section1
	{}
-->

Hi,

I was trying to understand the ABNF for the channel
identifier header, As per the draft-ietf-speechsc-mrcpv2-12

Channel
identifier is explained as below

6.2.1.  Channel-Identifier

  

   All MRCPv2 requests, responses and events MUST
contain the Channel-

   Identifier header.  The value is allocated by
the server when a

   control channel is added to the session and communicated
to the

   client by the "a=channel" attribute in the
SDP answer from the

   server.  The header value consists of 2
parts separated by the '@'

   symbol.  The first part is an unambiguous string
identifying the

   MRCPv2 session.  The second part is a string
token which specifies

   one of the media processing resource types listed in
Section 3.1.

   The unambiguous string (first part) MUST BE unique
among the resource

   instances managed by the server and is common to all
resource

   channels with that server established through a
single SIP dialog.

  

   channel-identifier  =
"Channel-Identifier" ":" channel-id CRLF

channel-id          = 1*VCHAR
"@" 1*VCHAR

 

The header value consists of two parts separated by “@”
, the First part is a VCHAR and Second part is also a VCHAR. The problem here
is 

‘@’ also falls  in the range of  VCHAR
set of characters.

VCHAR           
=    %x21-7E  (33-126)

@                 =  
%x40    (64)

So we can have any number of
“@” characters in the first part as well as in second part. due to
this we will not be able to distinguish the first part from second part.

Kindly help me regarding this issue.

Thanks and Regards

Rajanish S D

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc
Supplemental web site:
&lt;http://www.standardstrack.com/ietf/speechsc&gt;

---

From: "Eric Burger" <[email-masked]>
Date: Mon, 17 Dec 2007 12:34:36 -0800

The correct production would be either
	dot-atom "@" dot-atom
or, more likely
	addr-spec

Both productions coming from RFC 2822.

________________________________

From: Arsen Chaloyan [mailto:[email-masked]] 
Sent: Monday, December 17, 2007 7:46 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Speechsc] Query on Channel-identifier header in Draft 12

In my understanding,
an unambiguous string identifying the MRCPv2 session MUST be
ALPHA/DIGIT, but not VCHAR

   channel-identifier  = "Channel-Identifier" ":" channel-id CRLF

   channel-id          = 1*ALPHA/DIGIT "@" 1*VCHAR

probably with some extent to allow extra symbols like "$" / "-" / "_" /
"." / "+"

Hope this helps,
Arsen.

----- Original Message ----
From: Rajanish <[email-masked]>
To: [email-masked]
Sent: Thursday, December 13, 2007 1:35:07 PM
Subject: [Speechsc] Query on Channel-identifier header in Draft 12

Hi,

I was trying to understand the ABNF for the channel identifier header,
As per the draft-ietf-speechsc-mrcpv2-12

Channel identifier is explained as below

 

   All MRCPv2 requests, responses and events MUST contain the Channel-

   Identifier header.  The value is allocated by the server when a

   control channel is added to the session and communicated to the

   client by the "a=channel" attribute in the SDP answer from the

   server.  The header value consists of 2 parts separated by the '@'

   symbol.  The first part is an unambiguous string identifying the

   MRCPv2 session.  The second part is a string token which specifies

   one of the media processing resource types listed in Section 3.1.

   The unambiguous string (first part) MUST BE unique among the resource

   instances managed by the server and is common to all resource

   channels with that server established through a single SIP dialog.

   channel-identifier  = "Channel-Identifier" ":" channel-id CRLF

   channel-id          = 1*VCHAR "@" 1*VCHAR

The header value consists of two parts separated by "@" , the First part
is a VCHAR and Second part is also a VCHAR. The problem here is 

'@' also falls  in the range of  VCHAR set of characters.

VCHAR            =    %x21-7E  (33-126)

@                 =   %x40    (64)

So we can have any number of "@" characters in the first part as well as
in second part. due to this we will not be able to distinguish the first
part from second part.

Thanks and Regards

Rajanish S D

Notice:  This email message, together with any attachments, may contain information  of  BEA Systems,  Inc.,  its subsidiaries  and  affiliated entities,  that may be confidential,  proprietary,  copyrighted  and/or legally privileged, and is intended solely for the use of the individual or entity named in this message. If you are not the intended recipient, and have received this message in error, please immediately return this by email and then delete it.

---

From: Dan Burnett <[email-masked]>
Date: Thu, 20 Dec 2007 17:40:57 -0500

I think Arsen's suggestion is close.  The production that matches the  
examples (along with obvious extensions to the list of resources) is  
1*alphanum "@" 1*alphanum.

Remember, the goal of the first part is to provide an id, while the  
second part needs to be a resource type.

-- dan

On Dec 17, 2007, at 3:34 PM, Eric Burger wrote:

> Notice:  This email message, together with any attachments, may  
> contain information  of  BEA Systems,  Inc.,  its subsidiaries   
> and  affiliated entities,  that may be confidential,  proprietary,   
> copyrighted  and/or legally privileged, and is intended solely for  
> the use of the individual or entity named in this message. If you  
> are not the intended recipient, and have received this message in  
> error, please immediately return this by email and then delete it.

---

From: "Eric Burger" <[email-masked]>
Date: Thu, 20 Dec 2007 14:46:58 -0800

Absolutely right, IMHO.  thanks. 

-----Original Message-----
From: Dan Burnett [mailto:[email-masked]] 
Sent: Thursday, December 20, 2007 5:41 PM
To: Eric Burger
Cc: Arsen Chaloyan; [email-masked]; [email-masked]
Subject: Re: [Speechsc] Query on Channel-identifier header in Draft 12

-- dan

On Dec 17, 2007, at 3:34 PM, Eric Burger wrote:

> probably with some extent to allow extra symbols like "$" / "-" / "_" 
> / "." / "+"
>
> Hope this helps,
> Arsen.
>
>

> The header value consists of two parts separated by "@" , the First 
> part is a VCHAR and Second part is also a VCHAR. The problem here is
>
> So we can have any number of "@" characters in the first part as well 
> as in second part. due to this we will not be able to distinguish the 
> first part from second part.
>
>
>
> copyrighted  and/or legally privileged, and is intended solely for the

> use of the individual or entity named in this message. If you are not 
> the intended recipient, and have received this message in error, 
> please immediately return this by email and then delete it.